Public Class Form20
    Private Sub Form20_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        myp.InvalidatePreview()
    End Sub
    Private Sub myp_PrintDocument() Handles myp.PrintDocument
        Dim linespace As Single = 15
        myp.NewPage()
        Dim ss As String
        ss = "考生面试成绩通知书"
        Dim f1 As Font = New Font("黑体", 18, FontStyle.Bold)
        Dim f2 As Font = New Font("宋体", 12)
        Dim f3 As Font = New Font("华文行楷", 12, FontStyle.Underline)
        Dim myb As Brush = Brushes.Black
        myp.DrawTitle(ss, f1, Color.Black, 0)
        myp.NewRow(myp.LastDrawTextHeight * 2)
        ss = "01221223551"
        myp.DrawTextEx(ss, f3, myb, linespace)
        ss = "号考生："
        myp.DrawTextEx(ss, f2, myb, linespace)
        myp.NewRow(myp.LastDrawTextHeight)
        myp.NewRow(linespace)
        ss = "    你在"
        myp.DrawTextEx(ss, f2, myb, linespace)
        ss = "   2013   "
        myp.DrawTextEx(ss, f3, myb, linespace)
        ss = "年"
        myp.DrawTextEx(ss, f2, myb, linespace)
        ss = "   7   "
        myp.DrawTextEx(ss, f3, myb, linespace)
        ss = "月"
        myp.DrawTextEx(ss, f2, myb, linespace)
        ss = "   8   "
        myp.DrawTextEx(ss, f3, myb, linespace)
        ss = "日参加201"
        myp.DrawTextEx(ss, f2, myb, linespace)
        ss = "   3   "
        myp.DrawTextEx(ss, f3, myb, linespace)
        ss = "年株洲市人民政府公检系统公开考试录用公务员"
        myp.DrawTextEx(ss, f2, myb, linespace)
        ss = "总会计师"
        myp.DrawTextEx(ss, f3, myb, linespace)
        ss = "（岗位代码）岗位的面试，你的准考证号为"
        myp.DrawTextEx(ss, f2, myb, linespace)
        ss = "32322533252523"
        myp.DrawTextEx(ss, f3, myb, linespace)
        ss = " ，面试顺序号为"
        myp.DrawTextEx(ss, f2, myb, linespace)
        ss = "3223"
        myp.DrawTextEx(ss, f3, myb, linespace)
        ss = "。"
        myp.DrawTextEx(ss, f2, myb, linespace)
        myp.NewRow(myp.LastDrawTextHeight)
        myp.NewRow(linespace)
        ss = "    根据面试计分规则：去掉每一个要素的最高分和最低分，你的面试成绩为"
        myp.DrawTextEx(ss, f2, myb, linespace)
        ss = "  88  "
        myp.DrawTextEx(ss, f3, myb, linespace)
        ss = "分。下步我们将按照公务员招考的有关程序进行，需要与你联系时我们会与你联系，你今天的面试到此结束，谢谢你的参与！"
        myp.DrawTextEx(ss, f2, myb, linespace)

        myp.NewRow(myp.LastDrawTextHeight)
        myp.NewRow(linespace)

        myp.Currenty = myp.Currenty + 30
        ss = "考生签字："
        myp.Currentx = myp.PaperPrintWidth / 2
        myp.DrawText(ss, f2, 0)
        myp.NewRow(myp.LastDrawTextHeight)
        myp.NewRow(linespace)
        myp.Currentx = myp.PaperPrintWidth / 2 - 60
        ss = "二〇一  年    月     日"
        myp.DrawText(ss, f2, 0)
    End Sub
End Class